GET V1/Benchmarking.{ext}/SiteDetails?eSSiteId={eSSiteId}

This API used to get site/ virtual site general and building information.
Mandatory Fields : virtualSiteId.
Optional Fields : N/A.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
eSSiteId

ES Site Id

integer

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

EMSResponseOfEMS.Benchmarking.Entities.SiteGeneralAndBuildingDetails
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Benchmarking.Entities.SiteGeneralAndBuildingDetails

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "SiteGeneralAndBuildingDetails",
  "response": {
    "virtualSiteBuildingInfo": {
      "buildingType": "sample string 1",
      "grossFloorArea": "sample string 2",
      "propertyType": "sample string 3",
      "siteInactivationDate": "sample string 4",
      "dateClosed": "sample string 5"
    },
    "virtualSiteGeneralInfo": {
      "siteNumber": "sample string 1",
      "siteName": "sample string 2",
      "siteAddress": "sample string 3",
      "siteActivationDate": "sample string 4",
      "dateOpened": "sample string 5",
      "buildingStatus": "sample string 6",
      "isBuildingSubmitted": "sample string 7"
    }
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.